## qtcreator 13.0.2

=== auto/qml/codemodel/check/CMakeLists.txt ===
add_qtc_test(tst_qml_check
  EXCLUDE_FROM_PRECHECK
  DEPENDS QmlJS QmlJSTools ExtensionSystem Utils
  DEFINES
    QT_CREATOR
    QTCREATORDIR="${PROJECT_SOURCE_DIR}"
    TESTSRCDIR="${CMAKE_CURRENT_SOURCE_DIR}"
  SOURCES tst_check.cpp
)

=== debian/changelog ===
qtcreator (13.0.2-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Drop the Qt packages minver to 6.4.2.
  * Restore qt6-qmllint-plugins BD.
  * Don't BD on unavailable qt6-quick3d-private-dev.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 31 Jan 2025 11:28:07 -0800

qtcreator (13.0.2-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Update the build dependencies:
    - bump the Qt packages to 6.4.3, to ensure that QmlDesigner is built
    - drop the manual qt6-qmllint-plugins build dependency, as now
      qt6-declarative-dev depends on all the packages it needs
    - drop libqt6opengl6-dev, which was merged into qt6-base-dev long ago
    - switch the transitional pkg-config to pkgconf
    - add qt6-quick3d-private-dev, actually needed and so far provided by
      qt6-quick3d-dev
    - add libsecret-1-dev, for the embedded copy of qtkeychain
  * Bump Standards-Version to 4.7.0, no changes required.
  * Switch Vcs-* fields back to the 'master' packaging branch.
  * Refresh patch debian_paths.diff to avoid offsets.

 -- Pino Toscano <pino@debian.org>  Fri, 07 Jun 2024 08:53:01 +0200

qtcreator (13.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 07 May 2024 23:03:24 +0200

=== debian/control ===
Source: qtcreator
Section: devel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adam Majer <adamm@zombino.com>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: clang (>= 1:14~),
               clangd (>= 1:14~),
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               libclang-dev (>= 1:14~),
               libdw-dev,
               libqt6opengl6-dev,
               libsecret-1-dev,
               libyaml-cpp-dev (>= 0.5~),
               libzstd-dev,
               llvm-dev (>= 1:14~),
               pkgconf,
               python3:any,
               qt6-5compat-dev (>= 6.4.2~),
               qt6-base-dev (>= 6.4.2~),
               qt6-base-private-dev (>= 6.4.2~),
               qt6-declarative-dev (>= 6.4.2~),
               qt6-declarative-private-dev (>= 6.4.2~),
               qt6-qmllint-plugins (>= 6.4.2~),
               qt6-quick3d-dev (>= 6.4.2~),
#               qt6-quick3d-private-dev (>= 6.4.2~),
               qt6-quicktimeline-dev (>= 6.4.2~),
               qt6-serialport-dev (>= 6.4.2~),
               qt6-shadertools-dev (>= 6.4.2~),
               qt6-svg-dev (>= 6.4.2~),
               qt6-tools-dev (>= 6.4.2~),
               qt6-tools-private-dev (>= 6.4.2~),
               xxd
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://doc.qt.io/qt-5/topics-app-development.html
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtcreator.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtcreator

Package: qtcreator
Architecture: any
Depends: clang-tidy,
         clangd (>= 1:14~),
         gdb,
         libqt6sql6-sqlite,
         make,
         qml-qt6,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qt6-base-dev-tools,
         qt6-declarative-dev-tools,
         qt6-qmltooling-plugins,
         qt6-tools-dev-tools,
         qt6-translations-l10n,
         qtcreator-data (= ${source:Version}),
         qtcreator-doc,
         xterm | x-terminal-emulator,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: clazy (>= 1.5),
          cmake,
          g++,
          git,
          meson,
          python3-pylsp,
          subversion,
          valgrind
Description: integrated development environment (IDE) for Qt
 Qt Creator is a cross-platform integrated development environment (IDE)
 designed to make development with the Qt application framework faster
 and easier.
 .
 It includes:
  * An advanced C++ code editor
  * Integrated GUI layout and forms designer
  * Project and build management tools
  * Integrated, context-sensitive help system
  * Visual debugger
  * Rapid code navigation tools
  * Supports multiple platforms
  * Qt Quick Designer

Package: qtcreator-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: application data for Qt Creator IDE
 This package contains architecture-independent data for Qt Creator IDE.

Package: qtcreator-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-image-formats-plugins, ${misc:Depends}
Description: documentation for Qt Creator IDE
 Qt Creator is a cross-platform integrated development environment (IDE)
 designed to make development with the Qt application framework faster
 and easier.
 .
 This package contains documentation for Qt Creator IDE.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

# Do not build the HelloWorld plugin, as it is not needed
export QTC_BUILD_PLUGIN_HELLOWORLD=FALSE

# The upstream version of a package passed as parameter
upstream_version_of_pkg = $(shell dpkg-query -f '$${Version}' -W $(1) | sed -e 's/-[^-]*$$//')

# the dwz processing for all the libraries and plugins can take a lot of memory,
# which may be not enough on some architectures (typically 32bit), resulting in
# dwz failing with "Could not allocate memory: Cannot allocate memory" errors;
# hence, on architectures where we see this result, try to use a more memory
# friendly processing for a lower number of DIEs (dwz default is 10M)
archs_with_dwz_low_mem = armel armhf
dwz_low_mem = 3000000

archs_using_clang = mips64el
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(archs_using_clang)))
export CC=clang
export CXX=clang++
export DEB_CFLAGS_MAINT_APPEND := -gdwarf-4
export DEB_CXXFLAGS_MAINT_APPEND := -gdwarf-4
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
EXTRA_CMAKE_ARGS += -DBUILD_WITH_PCH=OFF
endif

%:
	dh $@ --builddirectory=builddir

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- \
		-DBUILD_DEVELOPER_DOCS=ON \
		-DBUILD_QBS=OFF \
		-DWITH_TESTS=OFF \
		-DBUILD_TESTING=OFF \
		-DCLANGTOOLING_LINK_CLANG_DYLIB=ON \
		-DWITH_DOCS=$(if $(filter qtcreator-doc, $(shell dh_listpackages)),ON,OFF) \
		$(EXTRA_CMAKE_ARGS)

execute_after_dh_auto_build-indep:
	dh_auto_build -- docs

execute_after_dh_auto_install:
ifneq (,$(filter qtcreator-doc, $(shell dh_listpackages)))
	DESTDIR=$(CURDIR)/debian/tmp cmake --install $(CURDIR)/builddir --component qch_docs
	DESTDIR=$(CURDIR)/debian/tmp cmake --install $(CURDIR)/builddir --component html_docs
endif

	# Not needed
	rm debian/tmp/usr/bin/qtcreator.sh

	# License files of the embedded copy of KSyntaxHighlighting
	rm -rf debian/tmp/usr/share/qtcreator/generic-highlighter/syntax/licenses/

	# Remove extra exec permissions
	find debian/tmp -name qmldir -type f -perm /111 -exec chmod -v -x {} \;

execute_after_dh_install:
	# Copied in qtcreator-doc already
	rm -rf debian/qtcreator-data/usr/share/qtcreator/doc/

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/qtcreator/

override_dh_shlibdeps:
	echo 'libQt6DesignerComponents 6 libqt6designercomponents6 (>= $(call upstream_version_of_pkg,libqt6designercomponents6)~)' > debian/shlibs.local
	dh_shlibdeps -l$(CURDIR)/debian/qtcreator/usr/lib/$(DEB_HOST_MULTIARCH)/qtcreator
	rm debian/shlibs.local

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(archs_with_dwz_low_mem)))
override_dh_dwz:
	dh_dwz -- --low-mem-die-limit $(dwz_low_mem)
endif

## qtcreator 14.0.0~beta1

=== share/qtcreator/CMakeLists.txt ===
set(resource_directories
  android
  cplusplus
  glsl
  indexer_preincludes
  jsonschemas
  modeleditor
  qmldesigner
  qmlicons
  qml-type-descriptions
  schemes
  snippets
  styles
  templates
  themes
)

set(resource_files
  debugger/.pylintrc
  debugger/boosttypes.py
  debugger/cdbbridge.py
  debugger/creatortypes.py
  debugger/dumper.py
  debugger/gdbbridge.py
  debugger/gdbtracepoint.py
  debugger/LICENSE.GPL3-EXCEPT
  debugger/lldbbridge.py
  debugger/misctypes.py
  debugger/opencvtypes.py
  debugger/pdbbridge.py
  debugger/personaltypes.py
  debugger/qttypes.py
  debugger/README.txt
  debugger/setup.cfg
  debugger/android_stdtypes.py
  debugger/libcpp_stdtypes.py
  debugger/stdtypes.py
  debugger/utils.py
  debugger/loadorder.txt
)

# copy resource directories during build
qtc_copy_to_builddir(copy_share_to_builddir
  DIRECTORIES ${resource_directories}
  DESTINATION "${IDE_DATA_PATH}"
  CREATE_SUBDIRS
)

# copy resource files during build
qtc_copy_to_builddir(copy_share_files_to_builddir
  FILES ${resource_files}
  DESTINATION ${IDE_DATA_PATH}
)

# create install rule for resource directories
install(
  DIRECTORY ${resource_directories}
  DESTINATION "${IDE_DATA_PATH}"
  USE_SOURCE_PERMISSIONS
)

# create install rule for resource files
foreach(file ${resource_files})
  get_filename_component(path "${file}" DIRECTORY)
  install(
    FILES "${file}"
    DESTINATION "${IDE_DATA_PATH}/${path}"
  )
endforeach()


add_subdirectory(translations)

=== src/plugins/CMakeLists.txt ===
# Level 0:
add_subdirectory(coreplugin)

# Level 1: (only depends of Level 0)
add_subdirectory(lua)
add_subdirectory(texteditor)
add_subdirectory(serialterminal)
add_subdirectory(extensionmanager)
add_subdirectory(helloworld)
add_subdirectory(imageviewer)
add_subdirectory(marketplace)
add_subdirectory(screenrecorder)
add_subdirectory(updateinfo)
add_subdirectory(welcome)

# Level 2: (only depends on Level 1 and below)
add_subdirectory(bineditor)
add_subdirectory(cpaster)
add_subdirectory(diffeditor)
add_subdirectory(emacskeys)
add_subdirectory(macros)
add_subdirectory(projectexplorer)
add_subdirectory(silversearcher)

# Level 3: (only depends on Level 2 and below)
add_subdirectory(axivion)
add_subdirectory(compilerexplorer)
add_subdirectory(cppeditor)
add_subdirectory(haskell)
add_subdirectory(help)
add_subdirectory(resourceeditor)
add_subdirectory(nim)
add_subdirectory(conan)
add_subdirectory(saferenderer)
add_subdirectory(terminal)
add_subdirectory(vcpkg)

# Level 4: (only depends on Level 3 and below)
add_subdirectory(classview)
add_subdirectory(glsleditor)
add_subdirectory(modeleditor)
add_subdirectory(qtsupport)
add_subdirectory(todo)
add_subdirectory(vcsbase)

# Level 5:
add_subdirectory(autotoolsprojectmanager)
add_subdirectory(bazaar)
add_subdirectory(beautifier)
add_subdirectory(clearcase)
add_subdirectory(cvs)
add_subdirectory(designer)
add_subdirectory(docker)
add_subdirectory(fakevim)
add_subdirectory(fossil)
add_subdirectory(genericprojectmanager)
add_subdirectory(git)
add_subdirectory(mercurial)
add_subdirectory(mesonprojectmanager)
add_subdirectory(perforce)
add_subdirectory(qmakeprojectmanager)
add_subdirectory(qmljstools)
add_subdirectory(scxmleditor)
add_subdirectory(subversion)
add_subdirectory(compilationdatabaseprojectmanager)
add_subdirectory(languageclient)
if (WITH_QMLDESIGNER)
  add_subdirectory(qmldesignerbase)
endif()
add_subdirectory(webassembly)

# Level 6:
add_subdirectory(debugger)
add_subdirectory(coco)
add_subdirectory(copilot)
add_subdirectory(gitlab)
if (WITH_QMLDESIGNER)
  add_subdirectory(qmlprojectmanager)
endif()
add_subdirectory(python)
add_subdirectory(clangformat)
add_subdirectory(cmakeprojectmanager)

# Level 7:
add_subdirectory(android)
add_subdirectory(autotest)
add_subdirectory(baremetal)
add_subdirectory(clangcodemodel)
add_subdirectory(clangtools)
add_subdirectory(cppcheck)
add_subdirectory(incredibuild)
add_subdirectory(ios)
add_subdirectory(qmljseditor)
add_subdirectory(qmlpreview)
add_subdirectory(qmlprofiler)
add_subdirectory(remotelinux)
add_subdirectory(valgrind)
add_subdirectory(perfprofiler)
add_subdirectory(qbsprojectmanager)
add_subdirectory(ctfvisualizer)
add_subdirectory(squish)
add_subdirectory(appstatisticsmonitor)

# Level 8:
add_subdirectory(boot2qt)
if (WITH_QMLDESIGNER)
  unset(qmldesigner_builddir)
  if (WIN32 AND CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    # Workaround for @CMakeFiles\QmlDesigner.rsp ld.lld.exe: The filename or extension is too long.
    # Clang on Windows is having problems with QmlDesigner.rsp which is bigger than 32KiB
    set(qmldesigner_builddir ${PROJECT_BINARY_DIR}/qmldsgnr)
  endif()
  add_subdirectory(qmldesigner ${qmldesigner_builddir})
  add_subdirectory(qmldesignerlite)
  add_subdirectory(effectcomposer)
  add_subdirectory(studiowelcome)
  add_subdirectory(insight)
endif()
add_subdirectory(qnx)
add_subdirectory(mcusupport)
add_subdirectory(qtapplicationmanager)
add_subdirectory(luatests)
add_subdirectory(tellajoke)
add_subdirectory(luals)
add_subdirectory(rustls)

=== src/libs/sqlite/CMakeLists.txt ===
env_with_default("QTC_ENABLE_SQLITE_TRACING" ENV_QTC_ENABLE_SQLITE_TRACING OFF)
option(ENABLE_SQLITE_TRACING "Enable sqlite tarcing" ${ENV_QTC_ENABLE_SQLITE_TRACING})
add_feature_info("Sqlite tracing" ${ENABLE_SQLITE_TRACING} "")

add_qtc_library(SqliteInternal OBJECT
    PROPERTIES AUTOMOC OFF AUTOUIC OFF QT_COMPILE_OPTIONS_DISABLE_WARNINGS ON
    DEFINES SQLITE_CORE SQLITE_CUSTOM_INCLUDE=config.h $<$<CONFIG:Debug>:SQLITE_DEBUG>
    INCLUDES
      ../3rdparty/sqlite
    SOURCES
      ../3rdparty/sqlite
      ../3rdparty/sqlite/sqlite3.c
      ../3rdparty/sqlite/sqlite3.h
      ../3rdparty/sqlite/sqlite3ext.h
      ../3rdparty/sqlite/carray.c
      ../3rdparty/sqlite/config.h
      ../3rdparty/sqlite/sqlite_static_config.h
      ../3rdparty/sqlite/sqlite.h
)

extend_qtc_library(SqliteInternal
  CONDITION QTC_STATIC_BUILD
  PROPERTIES COMPILE_OPTIONS $<IF:$<CXX_COMPILER_ID:MSVC>,/FIsqlite_static_config.h,-includesqlite_static_config.h>
)

if (APPLE)
  extend_qtc_library(SqliteInternal DEFINES _BSD_SOURCE)
elseif (UNIX)
  extend_qtc_library(SqliteInternal DEFINES _POSIX_C_SOURCE=200809L _GNU_SOURCE _DEFAULT_SOURCE)
endif()

add_qtc_library(Sqlite
  PROPERTIES AUTOMOC OFF AUTOUIC OFF
  DEPENDS Qt::Core Threads::Threads ${CMAKE_DL_LIBS} SqliteInternal Nanotrace
  INCLUDES
    ../3rdparty/sqlite
  PUBLIC_INCLUDES
    "${CMAKE_CURRENT_LIST_DIR}"
  DEFINES SQLITE_CUSTOM_INCLUDE=config.h $<$<CONFIG:Debug>:SQLITE_REVERSE>
  SOURCES
    constraints.h
    createtablesqlstatementbuilder.h
    lastchangedrowid.h
    sqlite3_fwd.h
    sqlitealgorithms.h
    sqlitebasestatement.cpp sqlitebasestatement.h
    sqlitecolumn.h
    sqlitedatabase.cpp sqlitedatabase.h
    sqlitedatabasebackend.cpp sqlitedatabasebackend.h
    sqlitedatabaseinterface.h
    sqliteexception.cpp sqliteexception.h
    sqliteglobal.cpp sqliteglobal.h
    sqlitefunctionregistry.cpp sqlitefunctionregistry.h
    sqliteindex.h
    sqliteprogresshandler.h
    sqlitereadstatement.h
    sqlitereadwritestatement.h
    sqlitesessionchangeset.cpp sqlitesessionchangeset.h
    sqlitesessions.cpp sqlitesessions.h
    sqlitetable.h
    sqlitetracing.cpp sqlitetracing.h
    sqlitetransaction.h
    sqlitevalue.h
    sqlitewritestatement.h
    sqlstatementbuilder.cpp sqlstatementbuilder.h
    sqlstatementbuilderexception.h
    tableconstraints.h
    sqliteblob.h
    sqlitetimestamp.h
    sqlitelibraryinitializer.cpp sqlitelibraryinitializer.h
    sqliteids.h
)

extend_qtc_library(Sqlite
  CONDITION TARGET Nanotrace
  DEPENDS Nanotrace
  PUBLIC_DEFINES
    $<$<BOOL:${ENABLE_SQLITE_TRACING}>:ENABLE_SQLITE_TRACING>
)

extend_qtc_library(Sqlite
  CONDITION QTC_STATIC_BUILD
  PROPERTIES COMPILE_OPTIONS $<IF:$<CXX_COMPILER_ID:MSVC>,/FIsqlite_static_config.h,-includesqlite_static_config.h>
)

=== src/plugins/appstatisticsmonitor/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../../../cmake")

project(AppStatisticMonitor)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

find_package(Qt6 COMPONENTS Charts QUIET)

if (NOT QT_CREATOR_API_DEFINED)
  # standalone build
  set(DESTINATION DESTINATION .)
  include(QtCreatorIDEBranding)
  include(QtCreatorAPI)
  qtc_handle_compiler_cache_support()

  find_package(QtCreator COMPONENTS Core ProjectExplorer Utils REQUIRED)
endif()


add_qtc_plugin(AppStatisticsMonitor
  CONDITION TARGET Qt6::Charts
  SKIP_TRANSLATION
  DEPENDS Qt6::Charts QtCreator::Utils
  PLUGIN_DEPENDS QtCreator::Core QtCreator::ProjectExplorer
  SOURCES
    appstatisticsmonitorplugin.cpp
    chart.cpp chart.h
    manager.cpp manager.h
    idataprovider.h idataprovider.cpp
)

=== src/plugins/designer/CMakeLists.txt ===
# used in the .json.in
if(Qt6_VERSION VERSION_GREATER_EQUAL 6.7.0)
  set(DESIGNER_PLUGIN_ARGUMENTS
  "\"Arguments\" : [
    {
        \"Name\" : \"-designer-qt-pluginpath\",
        \"Parameter\" : \"path\",
        \"Description\" : \"Override the default search path for Qt Widgets Designer plugins\"
    },
    {
        \"Name\" : \"-designer-pluginpath\",
        \"Parameter\" : \"path\",
        \"Description\" : \"Add a custom search path for Qt Widgets Designer plugins\"
    }
    ],")
else()
  set(DESIGNER_PLUGIN_ARGUMENTS
  "\"Arguments\" : [
    {
        \"Name\" : \"-designer-qt-pluginpath\",
        \"Parameter\" : \"path\",
        \"Description\" : \"Override the default search path for Qt Widgets Designer plugins\"
    }
    ],")
endif()

add_qtc_plugin(Designer
  PLUGIN_CLASS FormEditorPlugin
  CONDITION TARGET Qt::DesignerComponentsPrivate AND TARGET Qt::Designer
  DEPENDS designerintegrationv2
    Qt::Designer Qt::PrintSupport Qt::DesignerComponentsPrivate
  DEFINES CPP_ENABLED
  PLUGIN_DEPENDS Core CppEditor ProjectExplorer QtSupport ResourceEditor TextEditor
  PLUGIN_TEST_DEPENDS CppEditor
  SOURCES
    codemodelhelpers.cpp codemodelhelpers.h
    cpp/formclasswizard.cpp cpp/formclasswizard.h
    cpp/formclasswizarddialog.cpp cpp/formclasswizarddialog.h
    cpp/formclasswizardpage.cpp cpp/formclasswizardpage.h
    cpp/formclasswizardparameters.cpp cpp/formclasswizardparameters.h
    cpp/newclasswidget.cpp cpp/newclasswidget.h
    designer_export.h
    designerconstants.h
    designercontext.cpp designercontext.h
    designerplugin.cpp
    designertr.h
    editordata.h
    editorwidget.cpp editorwidget.h
    formeditorfactory.cpp formeditorfactory.h
    formeditorstack.cpp formeditorstack.h
    formeditor.cpp formeditor.h
    formtemplatewizardpage.cpp formtemplatewizardpage.h
    formwindoweditor.cpp formwindoweditor.h
    formwindowfile.cpp formwindowfile.h
    qtcreatorintegration.cpp qtcreatorintegration.h
    qtdesignerformclasscodegenerator.cpp qtdesignerformclasscodegenerator.h
    resourcehandler.cpp resourcehandler.h
    settingsmanager.cpp settingsmanager.h
    settingspage.cpp settingspage.h
)

extend_qtc_plugin(Designer
  CONDITION WITH_TESTS
  SOURCES gotoslot_test.cpp
)

if (QTC_STATIC_BUILD AND TARGET Designer)
  # version-less target Qt::Designer is an interface library that links to QtX::Designer
  get_target_property(_designer Qt::Designer INTERFACE_LINK_LIBRARIES)
  get_target_property(_designerType ${_designer} TYPE)
  if (${_designerType} STREQUAL "STATIC_LIBRARY")
    extend_qtc_target(Designer PUBLIC_DEFINES QT_DESIGNER_STATIC)
  endif()
endif()

=== src/plugins/extensionmanager/CMakeLists.txt ===
add_qtc_plugin(ExtensionManager
  PLUGIN_DEPENDS Core
  SOURCES
    extensionmanager.qrc
    extensionmanagerconstants.h
    extensionmanagerplugin.cpp
    extensionmanagertr.h
    extensionmanagerwidget.cpp
    extensionmanagerwidget.h
    extensionsbrowser.cpp
    extensionsbrowser.h
    extensionsmodel.cpp
    extensionsmodel.h
)

extend_qtc_plugin(ExtensionManager
  CONDITION WITH_TESTS
  SOURCES
    extensionmanager_test.cpp
    extensionmanager_test.h
    extensionmanager_test.qrc
)

=== src/plugins/luals/CMakeLists.txt ===
add_qtc_lua_plugin(luals
    SOURCES luals/luals.lua
            luals/init.lua
)

=== src/plugins/luatests/CMakeLists.txt ===
add_qtc_lua_plugin(luatests
    SOURCES
        luatests/luatests.lua
        luatests/tests.lua
        luatests/inspect.lua
        luatests/qtctest.lua
        luatests/tst_aspectcontainer.lua
        luatests/tst_fetch.lua
        luatests/tst_utils.lua
        luatests/guidemo.lua
)

=== src/plugins/projectexplorer/CMakeLists.txt ===
add_qtc_plugin(ProjectExplorer
  DEPENDS Qt::Qml
  PLUGIN_DEPENDS Core TextEditor
  PLUGIN_TEST_DEPENDS GenericProjectManager
  SOURCES
    abi.cpp abi.h
    abiwidget.cpp abiwidget.h
    abstractprocessstep.cpp abstractprocessstep.h
    addrunconfigdialog.cpp addrunconfigdialog.h
    allprojectsfilter.cpp allprojectsfilter.h
    allprojectsfind.cpp allprojectsfind.h
    appoutputpane.cpp appoutputpane.h
    baseprojectwizarddialog.cpp baseprojectwizarddialog.h
    buildaspects.cpp buildaspects.h
    buildpropertiessettings.cpp buildpropertiessettings.h
    buildconfiguration.cpp buildconfiguration.h
    buildinfo.cpp buildinfo.h
    buildmanager.cpp buildmanager.h
    buildsettingspropertiespage.cpp buildsettingspropertiespage.h
    buildstep.cpp buildstep.h
    buildsteplist.cpp buildsteplist.h
    buildstepspage.cpp buildstepspage.h
    buildsystem.cpp buildsystem.h
    buildtargetinfo.h
    buildtargettype.h
    clangparser.cpp clangparser.h
    codestylesettingspropertiespage.cpp codestylesettingspropertiespage.h
    compileoutputwindow.cpp compileoutputwindow.h
    configtaskhandler.cpp configtaskhandler.h
    copystep.cpp copystep.h
    copytaskhandler.cpp copytaskhandler.h
    currentprojectfilter.cpp currentprojectfilter.h
    currentprojectfind.cpp currentprojectfind.h
    customexecutablerunconfiguration.cpp customexecutablerunconfiguration.h
    customparser.cpp customparser.h
    customparserconfigdialog.cpp customparserconfigdialog.h
    customparserssettingspage.cpp customparserssettingspage.h
    customtoolchain.cpp customtoolchain.h
    customwizard/customwizard.cpp customwizard/customwizard.h
    customwizard/customwizardpage.cpp customwizard/customwizardpage.h
    customwizard/customwizardparameters.cpp customwizard/customwizardparameters.h
    customwizard/customwizardscriptgenerator.cpp customwizard/customwizardscriptgenerator.h
    dependenciespanel.cpp dependenciespanel.h
    deployablefile.cpp deployablefile.h
    deployconfiguration.cpp deployconfiguration.h
    deploymentdata.cpp deploymentdata.h
    deploymentdataview.cpp deploymentdataview.h
    desktoprunconfiguration.cpp desktoprunconfiguration.h
    devicesupport/desktopdevice.cpp devicesupport/desktopdevice.h
    devicesupport/desktopdevicefactory.cpp devicesupport/desktopdevicefactory.h
    devicesupport/desktopprocesssignaloperation.cpp devicesupport/desktopprocesssignaloperation.h
    devicesupport/devicecheckbuildstep.cpp devicesupport/devicecheckbuildstep.h
    devicesupport/devicefactoryselectiondialog.cpp devicesupport/devicefactoryselectiondialog.h
    devicesupport/devicemanager.cpp devicesupport/devicemanager.h
    devicesupport/devicemanagermodel.cpp devicesupport/devicemanagermodel.h
    devicesupport/deviceprocessesdialog.cpp devicesupport/deviceprocessesdialog.h
    devicesupport/devicesettingspage.cpp devicesupport/devicesettingspage.h
    devicesupport/devicetestdialog.cpp devicesupport/devicetestdialog.h
    devicesupport/deviceusedportsgatherer.cpp devicesupport/deviceusedportsgatherer.h
    devicesupport/filetransfer.cpp devicesupport/filetransfer.h
    devicesupport/filetransferinterface.h
    devicesupport/idevice.cpp devicesupport/idevice.h
    devicesupport/idevicefactory.cpp devicesupport/idevicefactory.h
    devicesupport/idevicefwd.h
    devicesupport/idevicewidget.h
    devicesupport/processlist.cpp devicesupport/processlist.h
    devicesupport/sshparameters.cpp devicesupport/sshparameters.h
    devicesupport/sshsettings.cpp devicesupport/sshsettings.h
    devicesupport/sshsettingspage.cpp devicesupport/sshsettingspage.h
    editorconfiguration.cpp editorconfiguration.h
    editorsettingspropertiespage.cpp editorsettingspropertiespage.h
    environmentaspect.cpp environmentaspect.h
    environmentaspectwidget.cpp environmentaspectwidget.h
    environmentwidget.cpp environmentwidget.h
    expanddata.cpp expanddata.h
    extraabi.cpp extraabi.h
    extracompiler.cpp extracompiler.h
    fileinsessionfinder.cpp fileinsessionfinder.h
    filesinallprojectsfind.h
    filesinallprojectsfind.cpp
    filterkitaspectsdialog.cpp filterkitaspectsdialog.h
    gccparser.cpp gccparser.h
    gcctoolchain.cpp gcctoolchain.h
    gnumakeparser.cpp gnumakeparser.h
    headerpath.h
    importwidget.cpp importwidget.h
    ioutputparser.cpp ioutputparser.h
    ipotentialkit.h
    itaskhandler.h
    jsonwizard/jsonfieldpage.cpp jsonwizard/jsonfieldpage.h jsonwizard/jsonfieldpage_p.h
    jsonwizard/jsonfilepage.cpp jsonwizard/jsonfilepage.h
    jsonwizard/jsonkitspage.cpp jsonwizard/jsonkitspage.h
    jsonwizard/jsonprojectpage.cpp jsonwizard/jsonprojectpage.h
    jsonwizard/jsonsummarypage.cpp jsonwizard/jsonsummarypage.h
    jsonwizard/jsonwizard.cpp jsonwizard/jsonwizard.h
    jsonwizard/jsonwizardfactory.cpp jsonwizard/jsonwizardfactory.h
    jsonwizard/jsonwizardfilegenerator.cpp jsonwizard/jsonwizardfilegenerator.h
    jsonwizard/jsonwizardgeneratorfactory.cpp jsonwizard/jsonwizardgeneratorfactory.h
    jsonwizard/jsonwizardpagefactory.cpp jsonwizard/jsonwizardpagefactory.h
    jsonwizard/jsonwizardpagefactory_p.cpp
    jsonwizard/jsonwizardpagefactory_p.h
    jsonwizard/wizarddebug.h
    jsonwizard/jsonwizardscannergenerator.cpp jsonwizard/jsonwizardscannergenerator.h
    kit.cpp kit.h
    kitaspects.cpp kitaspects.h
    kitchooser.cpp kitchooser.h
    kitfeatureprovider.h
    kitmanager.cpp kitmanager.h
    kitmanagerconfigwidget.cpp kitmanagerconfigwidget.h
    kitoptionspage.cpp kitoptionspage.h
    ldparser.cpp ldparser.h
    lldparser.cpp lldparser.h
    linuxiccparser.cpp linuxiccparser.h
    makestep.cpp makestep.h
    miniprojecttargetselector.cpp miniprojecttargetselector.h
    msvcparser.cpp msvcparser.h
    msvctoolchain.cpp msvctoolchain.h
    namedwidget.cpp namedwidget.h
    osparser.cpp osparser.h
    panelswidget.cpp panelswidget.h
    parseissuesdialog.cpp parseissuesdialog.h
    processparameters.cpp processparameters.h
    processstep.cpp processstep.h
    project.cpp project.h
    projectcommentssettings.cpp projectcommentssettings.h
    projectconfiguration.cpp projectconfiguration.h
    projectconfigurationmodel.cpp projectconfigurationmodel.h
    projectexplorer.cpp projectexplorer.h
    projectexplorer.qrc
    projectexplorer_export.h
    projectexplorer_test.h
    projectexplorerconstants.cpp
    projectexplorerconstants.h
    projectexplorericons.cpp projectexplorericons.h
    projectexplorersettings.cpp projectexplorersettings.h
    projectexplorertr.h
    projectfilewizardextension.cpp projectfilewizardextension.h
    projectimporter.cpp projectimporter.h
    projectmacro.cpp projectmacro.h
    projectmanager.cpp projectmanager.h
    projectmodels.cpp projectmodels.h
    projectnodes.cpp projectnodes.h
    projectnodeshelper.h
    projectpanelfactory.cpp projectpanelfactory.h
    projectsettingswidget.cpp projectsettingswidget.h
    projecttree.cpp projecttree.h
    projecttreewidget.cpp projecttreewidget.h
    projectupdater.cpp projectupdater.h
    projectwelcomepage.cpp projectwelcomepage.h
    projectwindow.cpp projectwindow.h
    projectwizardpage.cpp projectwizardpage.h
    rawprojectpart.cpp rawprojectpart.h
    removetaskhandler.cpp removetaskhandler.h
    runconfiguration.cpp runconfiguration.h
    runconfigurationaspects.cpp runconfigurationaspects.h
    runcontrol.cpp runcontrol.h
    runsettingspropertiespage.cpp runsettingspropertiespage.h
    sanitizerparser.cpp sanitizerparser.h
    selectablefilesmodel.cpp selectablefilesmodel.h
    showineditortaskhandler.cpp showineditortaskhandler.h
    showoutputtaskhandler.cpp showoutputtaskhandler.h
    simpleprojectwizard.cpp simpleprojectwizard.h
    target.cpp target.h
    targetsettingspanel.cpp targetsettingspanel.h
    targetsetuppage.cpp targetsetuppage.h
    targetsetupwidget.cpp targetsetupwidget.h
    task.cpp task.h
    taskfile.cpp taskfile.h
    taskhub.cpp taskhub.h
    taskmodel.cpp taskmodel.h
    taskwindow.cpp taskwindow.h
    toolchain.cpp toolchain.h
    toolchaincache.h
    toolchainconfigwidget.cpp toolchainconfigwidget.h
    toolchainmanager.cpp toolchainmanager.h
    toolchainoptionspage.cpp toolchainoptionspage.h
    toolchainsettingsaccessor.cpp toolchainsettingsaccessor.h
    treescanner.cpp treescanner.h
    userfileaccessor.cpp userfileaccessor.h
    vcsannotatetaskhandler.cpp vcsannotatetaskhandler.h
    waitforstopdialog.cpp waitforstopdialog.h
    windebuginterface.cpp windebuginterface.h
    workspaceproject.h workspaceproject.cpp
    xcodebuildparser.cpp xcodebuildparser.h
)

if (TARGET clangd)
  set(CLANG_BINDIR "$<TARGET_FILE_DIR:clangd>")
endif()
extend_qtc_plugin(ProjectExplorer
  DEFINES "CLANG_BINDIR=\"${CLANG_BINDIR}\""
)

extend_qtc_plugin(ProjectExplorer
  CONDITION WIN32
  DEFINES UNICODE _UNICODE
)

extend_qtc_plugin(ProjectExplorer
  CONDITION journald
  DEPENDS systemd
  SOURCES journaldwatcher.cpp journaldwatcher.h
  DEFINES WITH_JOURNALD
)

extend_qtc_plugin(ProjectExplorer
  CONDITION WITH_TESTS
  SOURCES
    outputparser_test.cpp outputparser_test.h
)
extend_qtc_plugin(ProjectExplorer
  CONDITION WITH_TESTS
  SOURCES
    jsonwizard/jsonwizard_test.cpp
  SOURCES_PROPERTIES HEADER_FILE_ONLY ON
)

file(GLOB_RECURSE test_resources RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} testdata/*)
qtc_add_resources(ProjectExplorer "testdata"
  CONDITION WITH_TESTS
  PREFIX "/projectexplorer"
  BASE "."
  FILES ${test_resources}
)

=== src/plugins/rustls/CMakeLists.txt ===
add_qtc_lua_plugin(rustls
    SOURCES rustls/rustls.lua
            rustls/init.lua
)

=== src/plugins/tellajoke/CMakeLists.txt ===
add_qtc_lua_plugin(tellajoke SOURCES tellajoke/tellajoke.lua)

=== share/qtcreator/cplusplus/examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(examples LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(QT NAMES Qt6 Qt5 COMPONENTS Core Gui Widgets REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core Gui Widgets REQUIRED)

set_property(SOURCE clazy_example.cpp icontest.cpp PROPERTY SKIP_AUTOMOC ON)

add_executable(examples
  clazy_example.cpp
  icontest.cpp
  tidy_example.cpp
  tidy_example.h
)

target_link_libraries(examples PRIVATE Qt${QT_VERSION_MAJOR}::Widgets)

=== debian/changelog ===
qtcreator (14.0.0~beta1-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.
  * Switch watch file to the unstable releases.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the build dependencies according to the upstream build system:
    - bump the Qt packages to 6.5.4, to ensure that QmlDesigner is built
    - add qt6-charts-dev

 -- Pino Toscano <pino@debian.org>  Sun, 16 Jun 2024 09:02:51 +0200

=== debian/control ===
Source: qtcreator
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adam Majer <adamm@zombino.com>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
Build-Depends: clang (>= 1:14~),
               clangd (>= 1:14~),
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               libclang-dev (>= 1:14~),
               libdw-dev,
               libsecret-1-dev,
               libyaml-cpp-dev (>= 0.5~),
               libzstd-dev,
               llvm-dev (>= 1:14~),
               pkgconf,
               python3:any,
               qt6-5compat-dev (>= 6.5.4~),
               qt6-base-dev (>= 6.5.4~),
               qt6-base-private-dev (>= 6.5.4~),
               qt6-charts-dev (>= 6.5.4~),
               qt6-declarative-dev (>= 6.5.4~),
               qt6-declarative-private-dev (>= 6.5.4~),
               qt6-quick3d-dev (>= 6.5.4~),
               qt6-quick3d-private-dev (>= 6.5.4~),
               qt6-quicktimeline-dev (>= 6.5.4~),
               qt6-serialport-dev (>= 6.5.4~),
               qt6-shadertools-dev (>= 6.5.4~),
               qt6-svg-dev (>= 6.5.4~),
               qt6-tools-dev (>= 6.5.4~),
               qt6-tools-private-dev (>= 6.5.4~),
               xxd,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://doc.qt.io/qt-5/topics-app-development.html
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtcreator.git -b experimental
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtcreator/-/tree/experimental

Package: qtcreator
Architecture: any
Depends: clangd (>= 1:14~),
         libqt6sql6-sqlite,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick,
         qtcreator-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: clang-tidy,
            gdb,
            make,
            qml-qt6,
            qt6-qmltooling-plugins,
            qt6-base-dev-tools,
            qtcreator-doc,
            qt6-declarative-dev-tools,
            qt6-tools-dev-tools,
            qt6-translations-l10n,
            xterm | x-terminal-emulator
Suggests: clazy (>= 1.5), cmake, g++, git, meson, subversion, valgrind,
          python3-pylsp,
Description: integrated development environment (IDE) for Qt
 Qt Creator is a cross-platform integrated development environment (IDE)
 designed to make development with the Qt application framework faster
 and easier.
 .
 It includes:
  * An advanced C++ code editor
  * Integrated GUI layout and forms designer
  * Project and build management tools
  * Integrated, context-sensitive help system
  * Visual debugger
  * Rapid code navigation tools
  * Supports multiple platforms
  * Qt Quick Designer

Package: qtcreator-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: application data for Qt Creator IDE
 This package contains architecture-independent data for Qt Creator IDE.

Package: qtcreator-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-image-formats-plugins,
         ${misc:Depends},
Description: documentation for Qt Creator IDE
 Qt Creator is a cross-platform integrated development environment (IDE)
 designed to make development with the Qt application framework faster
 and easier.
 .
 This package contains documentation for Qt Creator IDE.

## qtcreator 14.0.0~beta2

=== doc/CMakeLists.txt ===
# Generate documentation

option(BUILD_DEVELOPER_DOCS "Include developer documentation" OFF)
add_feature_info("Include developer documentation" BUILD_DEVELOPER_DOCS "")

function(_find_all_includes _ret_includes _ret_framework_paths)
  set(_all_includes "${PROJECT_SOURCE_DIR}/src/plugins;${PROJECT_SOURCE_DIR}/src/libs")
  foreach(_target ${__QTC_PLUGINS} ${__QTC_LIBRARIES})
    if (NOT TARGET ${_target})
      continue()
    endif()
    get_target_property(_includes ${_target} INCLUDE_DIRECTORIES)
    foreach(_include ${_includes})
      string(FIND "${_include}" "/src/plugins/" _in_plugins)
      string(FIND "${_include}" "/src/libs/" _in_libs)
      string(FIND "${_include}" "${CMAKE_BINARY_DIR}" _in_build)
      if(_in_plugins LESS 0 AND _in_libs LESS 0 AND _in_build LESS 0)
        list(APPEND _all_includes ${_include})
      endif()
    endforeach()
  endforeach()
  list(APPEND _all_includes ${CMAKE_CXX_IMPLICIT_INCLUDE_DIRECTORIES})
  list(REMOVE_DUPLICATES _all_includes)
  set("${_ret_includes}" "${_all_includes}" PARENT_SCOPE)

  # framework path
  if (APPLE)
    # version-less target Qt::Core is an interface library that links to QtX::Core
    get_target_property(_qt_core Qt::Core INTERFACE_LINK_LIBRARIES)
    get_target_property(_qt_target ${_qt_core} LOCATION) # <fw_path>/QtCore.framework/QtCore
    get_filename_component(_qt_loc "${_qt_target}" DIRECTORY)
    set("${_ret_framework_paths}" "${_qt_loc}/.." PARENT_SCOPE)
  endif()
endfunction()

function(_add_doc _doc_file _dev_doc_file)
  set(GENERATED_ATTRIBUTIONS_DIR ${CMAKE_CURRENT_BINARY_DIR}/generated_attributions)
  add_qtc_documentation(${_doc_file}
    ENVIRONMENT_EXPORTS GENERATED_ATTRIBUTIONS_DIR
  )
  add_qtc_doc_attribution(doc_attributions
    "${CMAKE_CURRENT_SOURCE_DIR}/../qt_attributions.json"
    "${GENERATED_ATTRIBUTIONS_DIR}/creator-attributions.qdoc"
    ${_doc_file}
  )
  set(litehtml_attributions "${CMAKE_CURRENT_SOURCE_DIR}/../src/libs/qlitehtml/src/3rdparty/qt_attribution.json")
  if(EXISTS "${litehtml_attributions}")
    add_qtc_doc_attribution(doc_attributions_litehtml
      "${litehtml_attributions}"
      "${GENERATED_ATTRIBUTIONS_DIR}/creator-attributions-litehtml.qdoc"
      ${_doc_file}
    )
  endif()
  if (BUILD_DEVELOPER_DOCS)
    _find_all_includes(_all_includes _framework_paths)
    add_qtc_documentation(${_dev_doc_file}
      INCLUDE_DIRECTORIES ${_all_includes}
      FRAMEWORK_PATHS ${_framework_paths}
    )
  endif()
endfunction()

if (WITH_DOCS)
  _add_doc(${IDE_DOC_FILE} "qtcreatordev/qtcreator-dev.qdocconf")
endif()
if(WITH_ONLINE_DOCS)
  _add_doc(${IDE_DOC_FILE_ONLINE} "qtcreatordev/qtcreator-dev-online.qdocconf")
endif()

if (BUILD_DOCS_BY_DEFAULT)
set(EXCLUDE_DOCS_FROM_ALL "")
else()
set(EXCLUDE_DOCS_FROM_ALL "EXCLUDE_FROM_ALL")
endif()

install(DIRECTORY config
  DESTINATION ${IDE_HEADER_INSTALL_PATH}/doc
  COMPONENT Devel
  ${EXCLUDE_DOCS_FROM_ALL}
)

=== share/qtcreator/templates/wizards/qtcreatorplugin/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# Remove when sharing with others.
@if %{JS: Util.isDirectory('%{QtCreatorBuild}/Qt Creator.app/Contents/Resources')}
list(APPEND CMAKE_PREFIX_PATH "%{QtCreatorBuild}/Qt Creator.app/Contents/Resources")
@else
  @if %{JS: Util.isDirectory('%{QtCreatorBuild}/Contents/Resources')}
list(APPEND CMAKE_PREFIX_PATH "%{QtCreatorBuild}/Contents/Resources")
  @else
list(APPEND CMAKE_PREFIX_PATH "%{QtCreatorBuild}")
  @endif
@endif

project(%{PluginName})

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_CXX_STANDARD 17)

find_package(QtCreator REQUIRED COMPONENTS Core)
find_package(QT NAMES Qt6 Qt5 REQUIRED COMPONENTS Widgets)
set(QtX Qt${QT_VERSION_MAJOR})

# Add a CMake option that enables building your plugin with tests.
# You don't want your released plugin binaries to contain tests,
# so make that default to 'NO'.
# Enable tests by passing -DWITH_TESTS=ON to CMake.
option(WITH_TESTS "Builds with tests" NO)

if(WITH_TESTS)
  # Look for QtTest
  find_package(${QtX} REQUIRED COMPONENTS Test)

  # Tell CMake functions like add_qtc_plugin about the QtTest component.
  set(IMPLICIT_DEPENDS Qt::Test)

  # Enable ctest for auto tests.
  enable_testing()
endif()

add_qtc_plugin(%{PluginName}
  PLUGIN_DEPENDS
    QtCreator::Core
  DEPENDS
    ${QtX}::Widgets
    QtCreator::ExtensionSystem
    QtCreator::Utils
  SOURCES
    .github/workflows/build_cmake.yml
    .github/workflows/README.md
    README.md
    %{SrcFileName}
    %{HdrFileName}
    %{GlobalHdrFileName}
    %{ConstantsHdrFileName}
    %{TrHdrFileName}
)

=== debian/changelog ===
qtcreator (14.0.0~beta2-2) experimental; urgency=medium

  * Team upload.
  * Bump the minimum clangd required version (both as build and runtime
    dependency) to 17: this is already a requirement since beta1, and this
    version bump was missed in previous uploads of qtcreator 14.
  * Stop building the developer documentation: it refers to the internal APIs
    of qtcreator to build new plugins for it, which is not possible as no
    development bits are shipped
    - stop passing -DBUILD_DEVELOPER_DOCS=ON to cmake

 -- Pino Toscano <pino@debian.org>  Fri, 28 Jun 2024 21:23:57 +0200

qtcreator (14.0.0~beta2-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.

 -- Pino Toscano <pino@debian.org>  Thu, 27 Jun 2024 17:31:07 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Adam Majer <adamm@zombino.com>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
 Build-Depends: clang (>= 1:14~),
-               clangd (>= 1:14~),
+               clangd (>= 1:17~),
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                libclang-dev (>= 1:14~),
@@ -39,7 +39,7 @@
 
 Package: qtcreator
 Architecture: any
-Depends: clangd (>= 1:14~),
+Depends: clangd (>= 1:17~),
          libqt6sql6-sqlite,
          qml6-module-qtqml-models,
          qml6-module-qtqml-workerscript,

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure --buildsystem=cmake -- \
-		-DBUILD_DEVELOPER_DOCS=ON \
 		-DBUILD_QBS=OFF \
 		-DWITH_TESTS=OFF \
 		-DBUILD_TESTING=OFF \
@@ -72,11 +71,6 @@
 	dh_shlibdeps -l$(CURDIR)/debian/qtcreator/usr/lib/$(DEB_HOST_MULTIARCH)/qtcreator
 	rm debian/shlibs.local
 
-# No dbgsym packages:
-override_dh_strip:
-	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
-	dh_strip --no-automatic-dbgsym
-
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(archs_with_dwz_low_mem)))
 override_dh_dwz:
 	dh_dwz -- --low-mem-die-limit $(dwz_low_mem)

## qtcreator 14.0.2

=== debian/changelog ===
qtcreator (14.0.2-4) unstable; urgency=medium

  * Stop using clang to build on mips64el:
    - the current new default clang in debian (19) fails to build what seems
      to be valid code (or at least that gcc compiles just fine)
    - the code of the clangformat plugin changed enough to not hit again into
      https://gcc.gnu.org/bugzilla/show_bug.cgi?id=102602
    - there are no other issues due to "big code/functions" anymore, and gcc
      is able to build everything again
  * Remove old lintian override.

 -- Pino Toscano <pino@debian.org>  Tue, 08 Oct 2024 18:19:29 +0200

qtcreator (14.0.2-3) unstable; urgency=medium

  * Backport upstream commit f175ec933f1c5c5d7a345edbaacc8ff90202aee2 to fix
    the build with LLVM >= 19; patch
    upstream_ClangFormat-Fix-build-with-current-LLVM-main-branch.patch.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Oct 2024 13:16:44 +0200

qtcreator (14.0.2-2) unstable; urgency=medium

  * Upload to unstable.
  * Switch Vcs-* fields back to the 'master' packaging branch.
  * Add myself to Uploaders.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Oct 2024 10:22:05 +0200

qtcreator (14.0.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 01 Oct 2024 19:15:49 +0200

qtcreator (14.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 07 Aug 2024 21:17:44 +0200

qtcreator (14.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch watch file back to stable releases.
  * Drop the permission fixing of qmldir files, as they are now shipped or
    installed upstream without executable permissions set.

 -- Pino Toscano <pino@debian.org>  Fri, 26 Jul 2024 05:42:06 +0200

qtcreator (14.0.0~rc1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 12 Jul 2024 05:26:11 +0200

=== debian/rules ===
--- 
+++ 
@@ -18,16 +18,6 @@
 # friendly processing for a lower number of DIEs (dwz default is 10M)
 archs_with_dwz_low_mem = armel armhf
 dwz_low_mem = 3000000
-
-archs_using_clang = mips64el
-ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(archs_using_clang)))
-export CC=clang
-export CXX=clang++
-export DEB_CFLAGS_MAINT_APPEND := -gdwarf-4
-export DEB_CXXFLAGS_MAINT_APPEND := -gdwarf-4
-export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
-EXTRA_CMAKE_ARGS += -DBUILD_WITH_PCH=OFF
-endif
 
 %:
 	dh $@ --builddirectory=builddir
@@ -56,9 +46,6 @@
 	# License files of the embedded copy of KSyntaxHighlighting
 	rm -rf debian/tmp/usr/share/qtcreator/generic-highlighter/syntax/licenses/
 
-	# Remove extra exec permissions
-	find debian/tmp -name qmldir -type f -perm /111 -exec chmod -v -x {} \;
-
 execute_after_dh_install:
 	# Copied in qtcreator-doc already
 	rm -rf debian/qtcreator-data/usr/share/qtcreator/doc/

## qtcreator 15.0.0~beta1

=== debian/changelog ===
qtcreator (15.0.0~beta1-1) experimental; urgency=medium

  * New upstream development release.
  * Switch watch file to the unstable releases.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update the patches:
    - upstream_ClangFormat-Fix-build-with-current-LLVM-main-branch.patch:
      drop, backported from upstream

 -- Pino Toscano <pino@debian.org>  Fri, 18 Oct 2024 23:08:39 +0200

## qtcreator 15.0.0~beta2

=== debian/changelog ===
qtcreator (15.0.0~beta2-2) experimental; urgency=medium

  * Disable the build of the Go CmdBridge: more work is needed to actually
    build it offline using the existing Debian packages of the used modules
    - remove the golang, golang-github-fsnotify-fsnotify-dev,
      golang-github-fxamacker-cbor-dev, and golang-golang-x-sys-dev build
      dependencies
  * Backport the upstream review
    https://codereview.qt-project.org/c/qt-creator/qt-creator/+/598448 to fix
    the build on 32bit architectures; patch
    Utils-fix-conflict-of-withSuffix-int-and-withSuffix-.patch.

 -- Pino Toscano <pino@debian.org>  Fri, 01 Nov 2024 06:46:25 +0100

qtcreator (15.0.0~beta2-1) experimental; urgency=medium

  * New upstream development release.
  * Enable the build of the Go CmdBridge:
    - add the golang, golang-github-fsnotify-fsnotify-dev,
      golang-github-fxamacker-cbor-dev, and golang-golang-x-sys-dev build
      dependencies
    - exclude the stripping of the cmdbridge executables, as they are already
      stripped (and they would require cross-tools to strip them anyway)

 -- Pino Toscano <pino@debian.org>  Fri, 01 Nov 2024 06:05:38 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Adam Majer <adamm@zombino.com>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+           Pino Toscano <pino@debian.org>,
 Build-Depends: clang (>= 1:14~),
                clangd (>= 1:17~),
                cmake (>= 3.16~),

=== debian/rules ===
--- 
+++ 
@@ -62,3 +62,6 @@
 override_dh_dwz:
 	dh_dwz -- --low-mem-die-limit $(dwz_low_mem)
 endif
+
+override_dh_strip:
+	dh_strip -Xusr/libexec/qtcreator/cmdbridge

## qtcreator 15.0.0

=== debian/changelog ===
qtcreator (15.0.0-1build1) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 00:45:59 -0600

qtcreator (15.0.0-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * Switch watch file back to stable releases.
  * Switch Vcs-* fields back to the 'master' packaging branch.
  * Pass --low-mem-die-limit to reduce the memory used by dwz also on
    hurd-i386.

 -- Pino Toscano <pino@debian.org>  Tue, 03 Dec 2024 07:40:14 +0100

qtcreator (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream development release.
  * Update the patches:
    - Utils-fix-conflict-of-withSuffix-int-and-withSuffix-.patch: drop, fixed
      upstream

 -- Pino Toscano <pino@debian.org>  Thu, 14 Nov 2024 18:55:23 +0100
